Private project does not show up in list if no public projects defined.
Description

On a fresh install of redMine, if you create one single private project, it will not show up in the project list.

If you create a public project, they will both show up.

If you then delete the public project, the original private project will show up until you log out and in again.

History

#1 - 2007-03-13 15:37 - Scott Posch

Actually - if you get the private project to display by

creating a public project, it only displays 'for a while'

I was working on the project, went to administration/roles

and tried to go back to the project list and it was gone again.

#2 - 2007-03-19 17:19 - Jean-Philippe Lang

I can't reproduce this bug problem.

Beware that there is two different project lists:

1. The main project list (Projects item in the menu), that only

shows public projects.

2. The admin project list (Admin -> Projects) that show all

projects (public & private)

#3 - 2007-03-22 10:07 - Scott Posch

I just did it again on a fresh install. This time it was on

a Postgres install. The last time was on a MySQL install.

All I did was create a project and label it private. It

doesnt show up in any page at all. It doesnt show up in the

Administration/Projects menu (all it shows is 'new').

The only time I can see any mention of it is if I try to

create another new project. It shows up in the 'subproject

of' dropdown.

Thank you!

#4 - 2007-03-22 10:23 - Scott Posch

I figured it out... But its still an issue and should

probably be looked at.

If I log in as admin and 'admin' is not a member of the

private project, the project wont show up in any list,

unless you click the 'projects' item in the administration menu.

When I create a user for myself and add myself to the

private project, I can see it in my list.

My suggestions:

1. Perhaps make the admin have all projects show up in the
'My Projects' area on the left of the screen like it does

for users who have attached projects.

2. In the 'Administration/Projects' menu item, instead of

just having 'new' show up, perhaps have all the projects

listed. Clicking on one of them would be equivalent to

clicking on the admin/projects menu item and then choosing

the project from that page.

This would at least make the admin able to more easily 'see'

private projects.

Thank you for a great application Jean-Philippe!

#5 - 2007-03-23 09:25 - Jean-Philippe Lang

When, you go in "ADMIN -> PROJECTS", all projects

are listed. Here is the code:

Projects Projects = Project.find :all, :order => sort_clause,

:limit  =>  @project_pages.items_per_page,

:offset =>  @project_pages.current.offset

There's no condition on the fact that the project is public or

private. So if you really don't see all your projects in "ADMIN

-> PROJECTS", send me the full log of the corresponding

request (in development mode please, so that i can see sql queries

in the log).

#6 - 2007-03-23 11:30 - Scott Posch

First, I was using a slightly old version of redMine when I

submitted this bug. Though it seems unlikely that this was

just added, it works on the install I did yesterday.

Specifically, in the 'administration/projects' menu, there

is now a 'list' menu item that does show all the projects,

public and private alike.

I guess I would consider this issue closed and thank

Jean-Philippe for his correspondance while investigating!

#7 - 2007-03-23 12:05 - Jean-Philippe Lang

OK, i understand your problem now.

In fact, it was not obvious before, but if you clicked on the

"Projects" (not on a sub-item), you would have seen

the same list of all existing projects.

I changed the menu so now it should be more intuitive.

Thanks for your feedback.
